apiVersion: apps/v1
kind: Deployment
metadata:
  name: cyb-rest-tm
  namespace: cyb
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cyb-rest-tm
  template:
    metadata:
      labels:
        app: cyb-rest-tm
    spec:
      containers:
        - name: cyb-rest-tm
          env:
            - name: SPRING_DATA_MONGODB_URI
              value: mongodb://root:password@cyb-mongo:27017/tezos-cyb?authSource=admin
            - name: TEZOS_NODE_URL
              value: http://cyb-sandbox-node:20000
          image: edivgitlab.coexya.lan:9444/coexya/cyb-rest-transaction-manager:develop
          imagePullPolicy: Always
      imagePullSecrets:
        - name: edivgitlab
---
apiVersion: v1
kind: Service
metadata:
  name: cyb-rest-tm
  namespace: cyb
spec:
  type: ClusterIP
  clusterIP: None
  ports:
    - port: 42
      protocol: TCP
      targetPort: 42
  selector:
    app: cyb-rest-tm
